using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.hnshituo.core.webapp.vo;

namespace Common
{
    public class MeterWorkMeterSceneService
    {
        /// <summary>
        /// 根据预报编号查数据
        /// </summary>
        /// <param name="info"></param>
        /// <returns></returns>
        public RESTfulResult<List<MeterWorkMeterScene>> doQueryWf(MeterWorkMeterScene info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterWorkMeterScene>>> rm = db.doOption< PageList<List<MeterWorkMeterScene>>>("meterworkmeterscenes", "/", new object[] { info }, 0);

            RESTfulResult<List<MeterWorkMeterScene>> result = new RESTfulResult<List<MeterWorkMeterScene>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Data != null && rm.Data.list != null && rm.Data.list.Count > 0)
            {
                result.Data = rm.Data.list;
            }

            return result;
        }
    }
}
